import type { PountTemplate, UsfField } from '#/template'
import type { ComputedRef } from 'vue'
import { computed } from 'vue'

function makeFieldAppear(field: UsfField): UsfField {
  const { fields: children, ...core } = field
  return {
    ...core,
    ...children
        ? { fields: children.map((f: UsfField) => makeFieldAppear(f)) }
        : {},
    visible: true,
  }
}

export function useXRay(template: ComputedRef<PountTemplate>) {
  const fields = computed(() => {
    return template.value.fields.map(f => makeFieldAppear(f))
  })

  return {
    fields
  }
}
