import type { PountSet } from '#/set'

export interface GroupFormData {
  projectId?: string;
  name: string;
  description: string;
  userIds?: string[];
  setIds?: string[];
}
export interface ProjectGroup extends GroupFormData{
  id: number;
  users: GroupUser[];
  sets: GroupSet[];
  isDefaultGroup?: boolean;
}

export type GroupSet = Pick<PountSet, 'id' | 'title'>

export interface GroupUser {
  id: string;
  name: string;
  email: string;
  isManager?: boolean
}

export interface GroupStoreState {
  projectGroups: ProjectGroup[];
}
