import { SetCreator } from './set'
import { ThumbnailSource } from './item'
import type { GroupUser } from '#/group'

export interface NestedSet {
  id: string;
  title: string;
  creator: SetCreator;
}

export interface NewPountProject {
  name: string;
  description: string;
  isPublic: boolean;
}

export interface PatchPountProject extends Partial<NewPountProject> {
  id: string;
}

export interface PountProject extends Required<PatchPountProject> {
  info: object;
  isManager: boolean;
  numSets?: boolean;
  managers: GroupUser[];
  members: GroupUser[];
  thumbnails: ThumbnailSource;
  createdAt?: string;
  updatedAt?: string;
}

export type ProjectListItem = Pick<PountProject, 'id' | 'name' | 'description' | 'isPublic' | 'updatedAt' | 'isManager' | 'thumbnails' | 'numSets'>
export type ProjectList = ProjectListItem[]

export interface ProjectStoreSate {
  current: PountProject;
  public: PountProject[];
  contributions: PountProject[];
  contributionCount: number;
  pageCount: number;
}
